org.gnome.gtk

## Class ButtonBoxStyle

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.ButtonBoxStyle

-     public final class ButtonBoxStyle
      extends org.freedesktop.bindings.Constant

  Control layout of Buttons in a `ButtonBox`. In general you shouldn't need to use this too much; in GNOME we leave presentation style decisions up to the the theme engine currently selected by the user.
  Since:
    4.0.4
  Author:
    Nat Pryce
  See Also:
    `HButtonBox`, `VButtonBox`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ButtonBoxStyle` | `CENTER` Buttons are to be grouped in the center of the box.
    `static ButtonBoxStyle` | `DEFAULT_STYLE` Default packing, allowing the theme engine to control the presentation of ButtonBoxes.
    `static ButtonBoxStyle` | `EDGE` Buttons are to be placed at the edges of the Box.
    `static ButtonBoxStyle` | `END` Buttons are to be grouped towards the end of the box (on the right for a HButtonBox, or the bottom for a VButtonBox).
    `static ButtonBoxStyle` | `SPREAD` Buttons are to be evenly spread across the Box.
    `static ButtonBoxStyle` | `START` Buttons are to be grouped towards the start of the box (on the left for a HButtonBox, or the top for a VButtonBox).

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final ButtonBoxStyle CENTER

      Buttons are to be grouped in the center of the box.
      Since:
        4.0.16

    - #### DEFAULT_STYLE

          public static final ButtonBoxStyle DEFAULT_STYLE

      Default packing, allowing the theme engine to control the presentation of ButtonBoxes.

    - #### EDGE

          public static final ButtonBoxStyle EDGE

      Buttons are to be placed at the edges of the Box.

    - #### END

          public static final ButtonBoxStyle END

      Buttons are to be grouped towards the end of the box (on the right for a HButtonBox, or the bottom for a VButtonBox).

    - #### SPREAD

          public static final ButtonBoxStyle SPREAD

      Buttons are to be evenly spread across the Box.

    - #### START

          public static final ButtonBoxStyle START

      Buttons are to be grouped towards the start of the box (on the left for a HButtonBox, or the top for a VButtonBox).